import { Lexer } from 'antlr4';
import BasicParser from './common/basicParser';
import { ParserError, ErrorHandler } from './common/parserErrorListener';
export default class AnalyticsSQL extends BasicParser {
    private _sqlType;
    constructor(sqlType: string);
    createLexer(input: string): Lexer;
    createParserFromLexer(lexer: Lexer): any;
    visitTree(parser: any): any;
    parse(input: string, errorListener?: ErrorHandler): any;
    validate(input: string): ParserError[];
    /**
     * It convert tree to string, it's convenient to use in unit test.
     * @param string input
     */
    parserTreeToString(input: string): string;
}
